Subject: Re: [PATCH v3] rebase: add a config option for --no-fork-point

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Feb 2021 00:21:24 -0800

Denton Liu <[email-masked]> writes:

> I don't think this test is quite necessary. In other parts of the
> code, we've already tested that local configs have priority over
> global configs. We can assume that config machinery works so we
> don't need to test it here.

I am not so sure if we should place so much trust in the code of
"rebase", or any other subsystem for that matter, that it uses the
configuration API and parse-options API correctly.

The do_test_rebase helper introduced here would be useful clean-up
on its own, so I'd rather take it as-is.